package kr.co.kihyun.text.hml;

import java.util.*;
import kr.co.kihyun.moumi.MoumiConfig;

public class HwpDeciReport {

        /*
	public static String contents = "";
	public static String fileName = "";

	public static String deptMess = "";
	public static String receive = "";
	public static String pass = "";
	public static String subject = "";
	public static String memo = "";
	public static String receiver = "";
	public static String draft = "";
	public static String deci1 = "";
	public static String deci2 = "";
	public static String deci3 = "";
	public static String cooperate = "";
	public static String seriesNum = "";
	public static String seriesDate = "";
	public static String post = "";
	public static String addr = "";
	public static String homepage = "";
	public static String phone = "";
	public static String fax = "";
	public static String email = "";
	public static String isOpen = "";
	public static String deptName = "";
        */
        private String contents = "";
	private String fileName = "";

	/******* document values *********/
	private String deptMess = "";
	private String receive = "";
	private String pass = "";
	private String subject = "";
	private String memo = "";
	private String receiver = "";
	private String draft = "";
	private String deci1 = "";
	private String deci2 = "";
	private String deci3 = "";
	private String cooperate = "";
	private String seriesNum = "";
	private String seriesDate = "";
	private String post = "";
	private String addr = "";
	private String homepage = "";
	private String phone = "";
	private String fax = "";
	private String email = "";
	private String isOpen = "";
	private String deptName = "";
        
	public void inputStreamHWP(String input) {

		StringBuffer str = new StringBuffer();
		StringTokenizer st = new StringTokenizer(input);
		while (st.hasMoreTokens()) {
			str.append(st.nextToken(">").trim());
			str.append(">");
		}

		this.contents = str.toString();
	}

	public void setFileName(String fileName) {
		this.fileName = fileName;
	}

	/***** document method *****/
	public void setDeptMess(String deptMess) {
		this.deptMess = deptMess;
	}

	public void setReceive(String receive) {
		this.receive = receive;
	}

	public void setPass(String pass) {
		this.pass = pass;
	}

	public void setSubject(String subject) {
		this.subject = subject;
	}

	public void setMemo(String memo) {
		this.memo = memo;
	}

	public void setReceiver(String receiver) {
		this.receiver = receiver;
	}

	public void setDraft(String draft) {
		this.draft = draft;
	}

	public void setDeci1(String deci1) {
		this.deci1 = deci1;
	}

	public void setDeci2(String deci2) {
		this.deci2 = deci2;
	}

	public void setDeci3(String deci3) {
		this.deci3 = deci3;
	}

	public void setCooperate(String cooperate) {
		this.cooperate = cooperate;
	}

	public void setSeriesNum(String seriesNum) {
		this.seriesNum = seriesNum;
	}

	public void setSeriesDate(String seriesDate) {
		this.seriesDate = seriesDate;
	}

	public void setPost(String post) {
		this.post = post;
	}

	public void setAddr(String addr) {
		this.addr = post;
	}

	public void setHomepage(String homepage) {
		this.homepage = homepage;
	}

	public void setPhone(String phone) {
		this.phone = phone;
	}

	public void setFax(String fax) {
		this.fax = fax;
	}

	public void setEmail(String email) {
		this.email = email;
	}

	public void setIsOpen(String isOpen) {
		this.isOpen = isOpen;
	}

	public void setDeptName(String deptName) {
		this.deptName = deptName;
	}

	//public static String getFileName() {
        public String getFileName() {
		return fileName;
	}

	//public static String getContent() {
        public String getContent() {
		return contents;
	}
        
	//public static String getPreHML() {
        public String getPreHML() {
		StringBuffer strPreBuf = new StringBuffer();
		String[] strMemo = memo.split("<br>");

		strPreBuf.append("\n<!DOCTYPE HWPML SYSTEM []>");
		strPreBuf.append("\n<HWPML VER=\"HWPML1.1\" CODE=KS>");
		strPreBuf.append("\n<HEAD>");
		strPreBuf.append("\n<INFORMATION>");
		strPreBuf.append("\n<BORDER LMARGIN=354 RMARGIN=354 TMARGIN=354 BMARGIN=354>");
		strPreBuf.append("\n<PAPERMARGIN TOP=1063 LEFT=1063 RIGHT=1063>");
		strPreBuf.append("\n<MISCINFO>");
		strPreBuf.append("\n<BACKGROUND>");
		strPreBuf.append("\n</MISCINFO>");
		strPreBuf.append("\n<SUMMATION>");
		strPreBuf.append("\n<TITLE>"+ MoumiConfig.getMessageBundle().getString("moumi.message.tot_doc.mainContent") +"</TITLE>");
		strPreBuf.append("\n<SUBJECT></SUBJECT>");
		strPreBuf.append("\n<AUTHOR></AUTHOR>");
		strPreBuf.append("\n<DAY>"+ MoumiConfig.getMessageBundle().getString("moumi.message.tot_doc.date2") +"</DAY>");
		strPreBuf.append("\n</SUMMATION>");
		strPreBuf.append("\n<FONTLIST>");
		strPreBuf.append("\n<KORFONT N=5>");
		strPreBuf.append("\n<FONT ID=0>휴먼명조</FONT>");
		strPreBuf.append("\n<FONT ID=1>굴림체</FONT>");
		strPreBuf.append("\n<FONT ID=2>한양신명조</FONT>");
		strPreBuf.append("\n<FONT ID=3>한양견고딕</FONT>");
		strPreBuf.append("\n<FONT ID=4>한양중고딕</FONT>");
		strPreBuf.append("\n</KORFONT>");
		strPreBuf.append("\n<ENGFONT N=5>");
		strPreBuf.append("\n<FONT ID=0>HCI Poppy</FONT>");
		strPreBuf.append("\n<FONT ID=1>굴림체</FONT>");
		strPreBuf.append("\n<FONT ID=2>한양신명조</FONT>");
		strPreBuf.append("\n<FONT ID=3>한양견고딕</FONT>");
		strPreBuf.append("\n<FONT ID=4>한양중고딕</FONT>");
		strPreBuf.append("\n</ENGFONT>");
		strPreBuf.append("\n<HANJAFONT N=3>");
		strPreBuf.append("\n<FONT ID=0>굴림체</FONT>");
		strPreBuf.append("\n<FONT ID=1>한양신명조</FONT>");
		strPreBuf.append("\n<FONT ID=2>한양중고딕</FONT>");
		strPreBuf.append("\n</HANJAFONT>");
		strPreBuf.append("\n<JAPANFONT N=3>");
		strPreBuf.append("\n<FONT ID=0>굴림체</FONT>");
		strPreBuf.append("\n<FONT ID=1>한양신명조</FONT>");
		strPreBuf.append("\n<FONT ID=2>한양중고딕</FONT>");
		strPreBuf.append("\n</JAPANFONT>");
		strPreBuf.append("\n<ETCFONT N=2>");
		strPreBuf.append("\n<FONT ID=0>굴림체</FONT>");
		strPreBuf.append("\n<FONT ID=1>한양신명조</FONT>");
		strPreBuf.append("\n</ETCFONT>");
		strPreBuf.append("\n<SPECIALFONT N=2>");
		strPreBuf.append("\n<FONT ID=0>명조</FONT>");
		strPreBuf.append("\n<FONT ID=1>굴림체</FONT>");
		strPreBuf.append("\n</SPECIALFONT>");
		strPreBuf.append("\n<USERFONT N=2>");
		strPreBuf.append("\n<FONT ID=0>명조</FONT>");
		strPreBuf.append("\n<FONT ID=1>굴림체</FONT>");
		strPreBuf.append("\n</USERFONT>");
		strPreBuf.append("\n</FONTLIST>");
		strPreBuf.append("\n<TABSTYLELIST>");
		strPreBuf.append("\n<TABSTYLE ID=0 COUNT=31 START=0 GAP=1000></TABSTYLE>");
		strPreBuf.append("\n<TABSTYLE ID=1 COUNT=30 START=1000 GAP=1000></TABSTYLE>");
		strPreBuf.append("\n<TABSTYLE ID=2 COUNT=31 START=1000 GAP=1000></TABSTYLE>");
		strPreBuf.append("\n<TABSTYLE ID=3 COUNT=39 START=750 GAP=750></TABSTYLE>");
		strPreBuf.append("\n<TABSTYLE ID=4 COUNT=1 START=1000 GAP=1000></TABSTYLE>");
		strPreBuf.append("\n<TABSTYLE ID=5 COUNT=32 START=1000 GAP=1000></TABSTYLE>");
		strPreBuf.append("\n</TABSTYLELIST>");
		strPreBuf.append("\n<STYLELIST>");
		strPreBuf.append("\n<STYLE ID=0 NAME=\"바탕글\">");
		strPreBuf.append("\n<CSTYLE>");
		strPreBuf.append("\n<FONTID KOR=2 ENG=2 HANJA=1 JAPAN=1 ETC=1>");
		strPreBuf.append("\n</CSTYLE>");
		strPreBuf.append("\n<PSTYLE TMARGIN=70>");
		strPreBuf.append("\n<TABSTYLE ID=4></TABSTYLE></STYLE>");
		strPreBuf.append("\n<STYLE ID=1 NAME=\"본문\">");
		strPreBuf.append("\n<CSTYLE RATIO=95 SPACE=251>");
		strPreBuf.append("\n<FONTID KOR=2 ENG=2 HANJA=1 JAPAN=1 ETC=1>");
		strPreBuf.append("\n</CSTYLE>");
		strPreBuf.append("\n<PSTYLE LMARGIN=438 RMARGIN=438 LSPACE=165 PSPACE=106 TMARGIN=70 WORDSPACE=20>");
		strPreBuf.append("\n<TABSTYLE ID=4></TABSTYLE></STYLE>");
		strPreBuf.append("\n<STYLE ID=2 NAME=\"개요 1\">");
		strPreBuf.append("\n<CSTYLE>");
		strPreBuf.append("\n<FONTID KOR=2 ENG=2 HANJA=1 JAPAN=1 ETC=1>");
		strPreBuf.append("\n</CSTYLE>");
		strPreBuf.append("\n<PSTYLE LMARGIN=186 INDENT=-186 TMARGIN=70>");
		strPreBuf.append("\n<TABSTYLE ID=4></TABSTYLE></STYLE>");
		strPreBuf.append("\n<STYLE ID=3 NAME=\"개요 2\">");
		strPreBuf.append("\n<CSTYLE>");
		strPreBuf.append("\n<FONTID KOR=2 ENG=2 HANJA=1 JAPAN=1 ETC=1>");
		strPreBuf.append("\n</CSTYLE>");
		strPreBuf.append("\n<PSTYLE LMARGIN=436 INDENT=-186 TMARGIN=70>");
		strPreBuf.append("\n<TABSTYLE ID=4></TABSTYLE></STYLE>");
		strPreBuf.append("\n<STYLE ID=4 NAME=\"개요 3\">");
		strPreBuf.append("\n<CSTYLE>");
		strPreBuf.append("\n<FONTID KOR=2 ENG=2 HANJA=1 JAPAN=1 ETC=1>");
		strPreBuf.append("\n</CSTYLE>");
		strPreBuf.append("\n<PSTYLE LMARGIN=686 INDENT=-186 TMARGIN=70>");
		strPreBuf.append("\n<TABSTYLE ID=4></TABSTYLE></STYLE>");
		strPreBuf.append("\n<STYLE ID=5 NAME=\"개요 4\">");
		strPreBuf.append("\n<CSTYLE>");
		strPreBuf.append("\n<FONTID KOR=2 ENG=2 HANJA=1 JAPAN=1 ETC=1>");
		strPreBuf.append("\n</CSTYLE>");
		strPreBuf.append("\n<PSTYLE LMARGIN=936 INDENT=-186 TMARGIN=70>");
		strPreBuf.append("\n<TABSTYLE ID=4></TABSTYLE></STYLE>");
		strPreBuf.append("\n<STYLE ID=6 NAME=\"개요 5\">");
		strPreBuf.append("\n<CSTYLE>");
		strPreBuf.append("\n<FONTID KOR=2 ENG=2 HANJA=1 JAPAN=1 ETC=1>");
		strPreBuf.append("\n</CSTYLE>");
		strPreBuf.append("\n<PSTYLE LMARGIN=1186 INDENT=-186 TMARGIN=70>");
		strPreBuf.append("\n<TABSTYLE ID=4></TABSTYLE></STYLE>");
		strPreBuf.append("\n<STYLE ID=7 NAME=\"개요 6\">");
		strPreBuf.append("\n<CSTYLE>");
		strPreBuf.append("\n<FONTID KOR=2 ENG=2 HANJA=1 JAPAN=1 ETC=1>");
		strPreBuf.append("\n</CSTYLE>");
		strPreBuf.append("\n<PSTYLE LMARGIN=1436 INDENT=-186 TMARGIN=70>");
		strPreBuf.append("\n<TABSTYLE ID=4></TABSTYLE></STYLE>");
		strPreBuf.append("\n<STYLE ID=8 NAME=\"개요 7\">");
		strPreBuf.append("\n<CSTYLE>");
		strPreBuf.append("\n<FONTID KOR=2 ENG=2 HANJA=1 JAPAN=1 ETC=1>");
		strPreBuf.append("\n</CSTYLE>");
		strPreBuf.append("\n<PSTYLE LMARGIN=1686 INDENT=-186 TMARGIN=70>");
		strPreBuf.append("\n<TABSTYLE ID=4></TABSTYLE></STYLE>");
		strPreBuf.append("\n<STYLE ID=9 NAME=\"쪽 번호\">");
		strPreBuf.append("\n<CSTYLE>");
		strPreBuf.append("\n<FONTID KOR=3 ENG=3 HANJA=2 JAPAN=2 ETC=1>");
		strPreBuf.append("\n</CSTYLE>");
		strPreBuf.append("\n<PSTYLE TMARGIN=70>");
		strPreBuf.append("\n<TABSTYLE ID=4></TABSTYLE></STYLE>");
		strPreBuf.append("\n<STYLE ID=10 NAME=\"머리말\">");
		strPreBuf.append("\n<CSTYLE SIZE=225>");
		strPreBuf.append("\n<FONTID KOR=4 ENG=4 HANJA=2 JAPAN=2 ETC=1>");
		strPreBuf.append("\n</CSTYLE>");
		strPreBuf.append("\n<PSTYLE RMARGIN=250 LSPACE=150 ALIGN=RIGHT>");
		strPreBuf.append("\n<TABSTYLE COUNT=1 START=1008 GAP=1000></TABSTYLE></STYLE>");
		strPreBuf.append("\n<STYLE ID=11 NAME=\"각주\">");
		strPreBuf.append("\n<CSTYLE SIZE=237>");
		strPreBuf.append("\n<FONTID KOR=2 ENG=2 HANJA=1 JAPAN=1 ETC=1>");
		strPreBuf.append("\n</CSTYLE>");
		strPreBuf.append("\n<PSTYLE LMARGIN=330 INDENT=-330 LSPACE=130 TMARGIN=70>");
		strPreBuf.append("\n<TABSTYLE ID=4></TABSTYLE></STYLE>");
		strPreBuf.append("\n<STYLE ID=12 NAME=\"그림캡션\">");
		strPreBuf.append("\n<CSTYLE SIZE=225>");
		strPreBuf.append("\n<FONTID KOR=4 ENG=4 HANJA=2 JAPAN=2 ETC=1>");
		strPreBuf.append("\n</CSTYLE>");
		strPreBuf.append("\n<PSTYLE TMARGIN=70>");
		strPreBuf.append("\n<TABSTYLE ID=4></TABSTYLE></STYLE>");
		strPreBuf.append("\n<STYLE ID=13 NAME=\"표캡션\">");
		strPreBuf.append("\n<CSTYLE SIZE=225>");
		strPreBuf.append("\n<FONTID KOR=4 ENG=4 HANJA=2 JAPAN=2 ETC=1>");
		strPreBuf.append("\n</CSTYLE>");
		strPreBuf.append("\n<PSTYLE TMARGIN=70>");
		strPreBuf.append("\n<TABSTYLE ID=4></TABSTYLE></STYLE>");
		strPreBuf.append("\n<STYLE ID=14 NAME=\"수식캡션\">");
		strPreBuf.append("\n<CSTYLE SIZE=225>");
		strPreBuf.append("\n<FONTID KOR=4 ENG=4 HANJA=2 JAPAN=2 ETC=1>");
		strPreBuf.append("\n</CSTYLE>");
		strPreBuf.append("\n<PSTYLE TMARGIN=70>");
		strPreBuf.append("\n<TABSTYLE ID=4></TABSTYLE></STYLE>");
		strPreBuf.append("\n<STYLE ID=15 NAME=\"찾아보기\">");
		strPreBuf.append("\n<CSTYLE SIZE=225>");
		strPreBuf.append("\n<FONTID KOR=2 ENG=2 HANJA=1 JAPAN=1 ETC=1>");
		strPreBuf.append("\n</CSTYLE>");
		strPreBuf.append("\n<PSTYLE>");
		strPreBuf.append("\n<TABSTYLE COUNT=1 START=402 GAP=1000></TABSTYLE></STYLE>");
		strPreBuf.append("\n</STYLELIST>");
		strPreBuf.append("\n</HEAD>");
		strPreBuf.append("\n<BODY>");
		strPreBuf.append("\n<P><PSTYLE TMARGIN=0>");
		strPreBuf
				.append("\n<TABSTYLE ID=1></TABSTYLE><TEXT><FONTID KOR=1 ENG=1 HANJA=0 JAPAN=0 SPECIAL=1></FONTID></TEXT>");
		strPreBuf.append("\n<CTRLCODE ID=BOX>");
		strPreBuf.append("\n<BOX TYPE=TABLE MAXCOL=3>");
		strPreBuf.append("\n<MARGIN>");
		strPreBuf.append("\n<TR>");
		strPreBuf
				.append("\n<CELL HPOSX=0 HPOSY=0 HWIDTH=12332 HHEIGHT=416 COLSPAN=3 LLINE=3 RLINE=3 TLINE=3 BLINE=3 ID=\"header_campaign\">");
		strPreBuf.append("\n<P><PSTYLE TMARGIN=0 ALIGN=CENTER>");
		strPreBuf
				.append("\n<TABSTYLE ID=1></TABSTYLE><TEXT><CHAR SIZE=275><FONTID KOR=1 ENG=1 HANJA=0 JAPAN=0 SPECIAL=1>"
						+ deptMess + "</FONTID></CHAR></TEXT>");
		strPreBuf.append("\n</P>");
		strPreBuf.append("\n</CELL>");
		strPreBuf.append("\n<TR>");
		strPreBuf
				.append("\n<CELL HPOSX=0 HPOSY=416 HWIDTH=1500 HHEIGHT=1287 LLINE=3 RLINE=3 TLINE=3 BLINE=3 ID=\"img_logo\">");
		strPreBuf.append("\n<P><PSTYLE TMARGIN=0 ALIGN=CENTER>");
		strPreBuf.append("\n<TABSTYLE ID=1></TABSTYLE></P>");
		strPreBuf.append("\n</CELL>");
		strPreBuf
				.append("\n<CELL HPOSX=1500 HPOSY=416 HWIDTH=9332 HHEIGHT=1287 LLINE=3 RLINE=3 TLINE=3 BLINE=3 ID=\"agency_name\">");
		strPreBuf.append("\n<P><PSTYLE TMARGIN=0 ALIGN=CENTER>");
		strPreBuf
				.append("\n<TABSTYLE ID=2></TABSTYLE><TEXT><CHAR SIZE=500><FONTID KOR=1 ENG=1 HANJA=0 JAPAN=0 SPECIAL=1><B>"
						+ deptName + "</B></FONTID></CHAR></TEXT>");
		strPreBuf.append("\n</P>");
		strPreBuf.append("\n</CELL>");
		strPreBuf
				.append("\n<CELL HPOSX=10832 HPOSY=416 HWIDTH=1500 HHEIGHT=1287 LLINE=3 RLINE=3 TLINE=3 BLINE=3 ID=\"img_symbol\">");
		strPreBuf.append("\n<P><PSTYLE TMARGIN=0 ALIGN=CENTER>");
		strPreBuf.append("\n<TABSTYLE ID=3></TABSTYLE></P>");
		strPreBuf.append("\n</CELL>");
		strPreBuf.append("\n<CAPTION>");
		strPreBuf.append("\n<P></P>");
		strPreBuf.append("\n</CAPTION>");
		strPreBuf.append("\n</CTRLCODE>");
		strPreBuf.append("\n</P>");
		strPreBuf.append("\n<P><PSTYLE LSPACE=100 TMARGIN=0>");
		strPreBuf
				.append("\n<TABSTYLE ID=1></TABSTYLE><TEXT><FONTID KOR=1 ENG=1 HANJA=0 JAPAN=0 SPECIAL=1></FONTID></TEXT>");
		strPreBuf.append("\n<CTRLCODE ID=BOX>");
		strPreBuf.append("\n<BOX TYPE=TABLE MAXCOL=3>");
		strPreBuf.append("\n<MARGIN OUTBOTTOM=0>");
		strPreBuf.append("\n<TR>");
		strPreBuf.append("\n<CELL HPOSX=0 HPOSY=0 HWIDTH=1161 HHEIGHT=491 LLINE=3 RLINE=3 TLINE=3 BLINE=3>");
		strPreBuf.append("\n<P><PSTYLE TMARGIN=0 ALIGN=LEFT>");
		strPreBuf
				.append("\n<TABSTYLE ID=5></TABSTYLE><TEXT><CHAR SIZE=350><FONTID KOR=1 ENG=1 HANJA=0 JAPAN=0 SPECIAL=1>" + MoumiConfig.getMessageBundle().getString("moumi.message.tot_doc.receive") + "</FONTID></CHAR></TEXT>");
		strPreBuf.append("\n</P>");
		strPreBuf.append("\n</CELL>");
		strPreBuf
				.append("\n<CELL HPOSX=1161 HPOSY=0 HWIDTH=11171 HHEIGHT=491 COLSPAN=2 LLINE=3 RLINE=3 TLINE=3 BLINE=3 ID=\"doc_receive\">");
		strPreBuf.append("\n<P><PSTYLE TMARGIN=0 ALIGN=LEFT>");
		strPreBuf
				.append("\n<TABSTYLE ID=5></TABSTYLE><TEXT><CHAR SIZE=350><FONTID KOR=1 ENG=1 HANJA=0 JAPAN=0 SPECIAL=1> "
						+ receive + "</FONTID></CHAR></TEXT>");
		strPreBuf.append("\n</P>");
		strPreBuf.append("\n</CELL>");
		strPreBuf.append("\n<TR>");
		strPreBuf.append("\n<CELL HPOSX=0 HPOSY=491 HWIDTH=1161 HHEIGHT=491 LLINE=3 RLINE=3 TLINE=3 BLINE=3>");
		strPreBuf.append("\n<P><PSTYLE TMARGIN=0 ALIGN=LEFT>");
		strPreBuf
				.append("\n<TABSTYLE ID=5></TABSTYLE><TEXT><CHAR SIZE=350><FONTID KOR=1 ENG=1 HANJA=0 JAPAN=0 SPECIAL=1>"+ MoumiConfig.getMessageBundle().getString("moumi.message.tot_doc.route") +"</FONTID></CHAR></TEXT>");
		strPreBuf.append("\n</P>");
		strPreBuf.append("\n</CELL>");
		strPreBuf
				.append("\n<CELL HPOSX=1161 HPOSY=491 HWIDTH=11171 HHEIGHT=491 COLSPAN=2 LLINE=3 RLINE=3 TLINE=3 BLINE=3 ID=\"doc_via\">");
		strPreBuf.append("\n<P><PSTYLE TMARGIN=0 ALIGN=LEFT>");
		strPreBuf
				.append("\n<TABSTYLE ID=5></TABSTYLE><TEXT><CHAR SIZE=350><FONTID KOR=1 ENG=1 HANJA=0 JAPAN=0 SPECIAL=1> "
						+ pass + "</FONTID></CHAR></P>");// 주의
		strPreBuf.append("\n</CELL>");
		strPreBuf.append("\n<TR>");
		strPreBuf.append("\n<CELL HPOSX=0 HPOSY=982 HWIDTH=1161 HHEIGHT=491 LLINE=3 RLINE=3 TLINE=3 BLINE=3>");
		strPreBuf.append("\n<P><PSTYLE TMARGIN=0 ALIGN=LEFT>");
		strPreBuf
				.append("\n<TABSTYLE ID=5></TABSTYLE><TEXT><CHAR SIZE=350><FONTID KOR=1 ENG=1 HANJA=0 JAPAN=0 SPECIAL=1>" + MoumiConfig.getMessageBundle().getString("moumi.message.tot_doc.title") + " </FONTID></CHAR></TEXT>");
		strPreBuf.append("\n</P>");
		strPreBuf.append("\n</CELL>");
		strPreBuf
				.append("\n<CELL HPOSX=1161 HPOSY=982 HWIDTH=10982 HHEIGHT=491 LLINE=3 RLINE=3 TLINE=3 BLINE=3 ID=\"doc_name\">");
		strPreBuf.append("\n<P><PSTYLE TMARGIN=0 ALIGN=LEFT>");
		strPreBuf
				.append("\n<TABSTYLE ID=5></TABSTYLE><TEXT><CHAR SIZE=350><FONTID KOR=1 ENG=1 HANJA=0 JAPAN=0 SPECIAL=1> "
						+ subject + "</FONTID></CHAR></TEXT>");
		strPreBuf.append("\n</P>");
		strPreBuf.append("\n</CELL>");
		strPreBuf.append("\n<CELL HPOSX=12143 HPOSY=982 HWIDTH=189 HHEIGHT=491 LLINE=3 RLINE=3 TLINE=3 BLINE=3>");
		strPreBuf.append("\n<P><PSTYLE TMARGIN=0>");
		strPreBuf.append("\n<TABSTYLE ID=5></TABSTYLE></P>");
		strPreBuf.append("\n</CELL>");
		strPreBuf.append("\n<CAPTION>");
		strPreBuf.append("\n<P></P>");
		strPreBuf.append("\n</CAPTION>");
		strPreBuf.append("\n</CTRLCODE>");
		strPreBuf.append("\n</P>");
		strPreBuf.append("\n<P><PSTYLE TMARGIN=0>");
		strPreBuf
				.append("\n<TABSTYLE ID=1></TABSTYLE><TEXT><CHAR SIZE=100><FONTID KOR=1 ENG=1 HANJA=0 JAPAN=0 SPECIAL=1></FONTID></CHAR></TEXT>");
		strPreBuf.append("\n<CTRLCODE ID=IMAGE>");
		strPreBuf.append("\n<DRAWOBJECT>");
		strPreBuf.append("\n<DRAWHEADER OBJECTNUM=1 SX=-47 SY=-47 EX=12497 EY=96>");
		strPreBuf.append("\n<DRAWLINE LINEINFO=0>");
		strPreBuf
				.append("\n<DRAWCOMMONINFO WIDTH=12402 HEIGHT=1 OCCUPYX=-47 OCCUPYY=-47 XSIZE=12497 YSIZE=96 LINETHICK=8 ETC=131072 LINKINFO=0>");
		strPreBuf.append("\n<DRAWROTATION CENTERX=6201 CENTERY=1 PARALL3=12402 PARALL5=12402 PARALL6=1>");
		strPreBuf.append("\n</DRAWCOMMONINFO>");
		strPreBuf.append("\n</DRAWLINE>");
		strPreBuf.append("\n</DRAWOBJECT>");
		strPreBuf.append("\n<DATA TYPE=3 WIDTH=12402 HEIGHT=1>");
		strPreBuf.append("\n<MARGIN OUTLEFT=0 OUTRIGHT=0 OUTTOP=0 OUTBOTTOM=0>");
		strPreBuf.append("\n<CAPTION>");
		strPreBuf.append("\n<P></P>");
		strPreBuf.append("\n</CAPTION>");
		strPreBuf.append("\n</CTRLCODE>");
		strPreBuf.append("\n</P>");
		strPreBuf.append("\n<P><PSTYLE TMARGIN=0 ALIGN=LEFT>");
		strPreBuf.append("\n<TABSTYLE ID=1></TABSTYLE></P>");

		for (int i = 0; i < strMemo.length; i++) {
			strPreBuf.append("\n<P><PSTYLE TMARGIN=0 ALIGN=LEFT>");
			strPreBuf
					.append("\n<TABSTYLE ID=1></TABSTYLE><TEXT><CHAR SIZE=300><FONTID KOR=1 ENG=1 HANJA=0 JAPAN=0 SPECIAL=1>"
							+ strMemo[i] + "</FONTID></CHAR></TEXT>");
			strPreBuf.append("\n</P>");
		}

		strPreBuf.append("\n<P><PSTYLE TMARGIN=0 ALIGN=LEFT>");
		strPreBuf.append("\n<TABSTYLE ID=1></TABSTYLE></P>");
		strPreBuf.append("\n<P><PSTYLE TMARGIN=0 ALIGN=LEFT>");
		strPreBuf.append("\n<TABSTYLE ID=1></TABSTYLE></P>");
		strPreBuf.append("\n<P><PSTYLE TMARGIN=0 ALIGN=LEFT>");
		strPreBuf.append("\n<TABSTYLE ID=1></TABSTYLE></P>");
		strPreBuf.append("\n<P><PSTYLE TMARGIN=0 ALIGN=LEFT>");
		strPreBuf.append("\n<TABSTYLE ID=1></TABSTYLE></P>");
		strPreBuf.append("\n<P><PSTYLE TMARGIN=0 ALIGN=LEFT>");
		strPreBuf.append("\n<TABSTYLE ID=1></TABSTYLE></P>");
		strPreBuf.append("\n<P><PSTYLE TMARGIN=0 ALIGN=LEFT>");
		strPreBuf.append("\n<TABSTYLE ID=1></TABSTYLE></P>");
		strPreBuf.append("\n<P><PSTYLE TMARGIN=0>");
		strPreBuf
				.append("\n<TABSTYLE ID=1></TABSTYLE><TEXT><FONTID KOR=1 ENG=1 HANJA=0 JAPAN=0 SPECIAL=1></FONTID></TEXT>");
		strPreBuf.append("\n<CTRLCODE ID=BOX>");
		strPreBuf.append("\n<BOX TYPE=TABLE MAXCOL=49>");
		strPreBuf.append("\n<MARGIN OUTTOP=1063>");
		strPreBuf.append("\n<TR>");
		strPreBuf.append("\n<CELL HPOSX=0 HPOSY=0 HWIDTH=2381 HHEIGHT=947 COLSPAN=8 LLINE=3 RLINE=3 TLINE=3 BLINE=3>");
		strPreBuf.append("\n<P><PSTYLE TMARGIN=0>");
		strPreBuf.append("\n<TABSTYLE ID=5></TABSTYLE></P>");
		strPreBuf.append("\n</CELL>");
		strPreBuf
				.append("\n<CELL HPOSX=2381 HPOSY=0 HWIDTH=7712 HHEIGHT=947 COLSPAN=15 LLINE=3 RLINE=3 TLINE=3 BLINE=3 ID=\"sender_name\">");
		strPreBuf.append("\n<P><PSTYLE TMARGIN=0 ALIGN=CENTER>");
		strPreBuf
				.append("\n<TABSTYLE ID=2></TABSTYLE><TEXT><CHAR SIZE=450><FONTID KOR=1 ENG=1 HANJA=0 JAPAN=0 SPECIAL=1><B>"
						+ deptName + MoumiConfig.getMessageBundle().getString("moumi.message.tot_doc.representative") +"</B></FONTID></CHAR></TEXT>");
		strPreBuf.append("\n</P>");
		strPreBuf.append("\n</CELL>");
		strPreBuf
				.append("\n<CELL HPOSX=10093 HPOSY=0 HWIDTH=2239 HHEIGHT=947 COLSPAN=4 LLINE=3 RLINE=3 TLINE=3 BLINE=3 ID=\"seal_omit\">");
		strPreBuf.append("\n<P><PSTYLE TMARGIN=0>");
		strPreBuf.append("\n<TABSTYLE ID=1></TABSTYLE></P>");
		strPreBuf.append("\n</CELL>");
		strPreBuf.append("\n<TR>");
		strPreBuf
				.append("\n<CELL HPOSX=0 HPOSY=947 HWIDTH=12332 HHEIGHT=662 COLSPAN=27 LLINE=3 RLINE=3 TLINE=3 BLINE=3>");
		strPreBuf.append("\n<P><PSTYLE TMARGIN=0>");
		strPreBuf.append("\n<TABSTYLE ID=5></TABSTYLE></P>");
		strPreBuf.append("\n</CELL>");
		strPreBuf.append("\n<TR>");
		strPreBuf
				.append("\n<CELL HPOSX=0 HPOSY=1609 HWIDTH=1177 HHEIGHT=1302 COLSPAN=5 LLINE=3 RLINE=3 TLINE=3 BLINE=3 VERALIGN=0>");
		strPreBuf.append("\n<P><PSTYLE TMARGIN=0 ALIGN=LEFT>");
		strPreBuf
				.append("\n<TABSTYLE ID=1></TABSTYLE><TEXT><FONTID KOR=1 ENG=1 HANJA=0 JAPAN=0 SPECIAL=1>"+ MoumiConfig.getMessageBundle().getString("moumi.message.tot_doc.receive") + MoumiConfig.getMessageBundle().getString("moumi.message.tot_doc.person") +"  </FONTID></TEXT>");
		strPreBuf.append("\n</P>");
		strPreBuf.append("\n</CELL>");
		strPreBuf
				.append("\n<CELL HPOSX=1177 HPOSY=1609 HWIDTH=11155 HHEIGHT=1302 COLSPAN=22 LLINE=3 RLINE=3 TLINE=3 BLINE=3 VERALIGN=0 ID=\"doc_receivelist\">");
		strPreBuf.append("\n<P><PSTYLE TMARGIN=0 ALIGN=LEFT>");
		strPreBuf.append("\n<TABSTYLE ID=1></TABSTYLE><TEXT><FONTID KOR=1 ENG=1 HANJA=0 JAPAN=0 SPECIAL=1> " + receiver
				+ "</FONTID></TEXT>");
		strPreBuf.append("\n</P>");
		strPreBuf.append("\n</CELL>");
		strPreBuf.append("\n<TR>");
		strPreBuf
				.append("\n<CELL HPOSX=0 HPOSY=2911 HWIDTH=12332 HHEIGHT=120 COLSPAN=27 LLINE=3 RLINE=3 TLINE=3 BLINE=3 VERALIGN=0 SHADE=20>");
		strPreBuf.append("\n<P><PSTYLE TMARGIN=0 ALIGN=LEFT>");
		strPreBuf.append("\n<TABSTYLE ID=1></TABSTYLE></P>");
		strPreBuf.append("\n</CELL>");
		strPreBuf.append("\n<TR>");
		strPreBuf
				.append("\n<CELL HPOSX=0 HPOSY=3031 HWIDTH=1779 HHEIGHT=270 COLSPAN=7 LLINE=3 RLINE=3 TLINE=3 BLINE=3>");
		strPreBuf.append("\n<P><PSTYLE LSPACE=100 TMARGIN=0 ALIGN=NOALIGN>");
		strPreBuf.append("\n<TABSTYLE ID=2></TABSTYLE></P>");
		strPreBuf.append("\n</CELL>");
		strPreBuf
				.append("\n<CELL HPOSX=1779 HPOSY=3031 HWIDTH=1446 HHEIGHT=270 COLSPAN=3 LLINE=3 RLINE=3 TLINE=3 BLINE=3 ID=\"approval_opt1\">");
		strPreBuf.append("\n<P><PSTYLE LSPACE=100 TMARGIN=0 ALIGN=NOALIGN>");
		strPreBuf.append("\n<TABSTYLE ID=2></TABSTYLE></P>");
		strPreBuf.append("\n</CELL>");
		strPreBuf
				.append("\n<CELL HPOSX=3225 HPOSY=3031 HWIDTH=1850 HHEIGHT=270 COLSPAN=2 LLINE=3 RLINE=3 TLINE=3 BLINE=3>");
		strPreBuf.append("\n<P><PSTYLE LSPACE=100 TMARGIN=0 ALIGN=NOALIGN>");
		strPreBuf.append("\n<TABSTYLE ID=2></TABSTYLE></P>");
		strPreBuf.append("\n</CELL>");
		strPreBuf
				.append("\n<CELL HPOSX=5075 HPOSY=3031 HWIDTH=1304 HHEIGHT=270 COLSPAN=3 LLINE=3 RLINE=3 TLINE=3 BLINE=3 ID=\"approval_opt2\">");
		strPreBuf.append("\n<P><PSTYLE LSPACE=100 TMARGIN=0 ALIGN=NOALIGN>");
		strPreBuf.append("\n<TABSTYLE ID=2></TABSTYLE></P>");
		strPreBuf.append("\n</CELL>");
		strPreBuf
				.append("\n<CELL HPOSX=6379 HPOSY=3031 HWIDTH=1708 HHEIGHT=270 COLSPAN=4 LLINE=3 RLINE=3 TLINE=3 BLINE=3>");
		strPreBuf.append("\n<P><PSTYLE LSPACE=100 TMARGIN=0 ALIGN=NOALIGN>");
		strPreBuf.append("\n<TABSTYLE ID=2></TABSTYLE></P>");
		strPreBuf.append("\n</CELL>");
		strPreBuf
				.append("\n<CELL HPOSX=8087 HPOSY=3031 HWIDTH=1375 HHEIGHT=270 COLSPAN=3 LLINE=3 RLINE=3 TLINE=3 BLINE=3 ID=\"approval_opt3\">");
		strPreBuf.append("\n<P><PSTYLE LSPACE=100 TMARGIN=0 ALIGN=NOALIGN>");
		strPreBuf.append("\n<TABSTYLE ID=2></TABSTYLE></P>");
		strPreBuf.append("\n</CELL>");
		strPreBuf
				.append("\n<CELL HPOSX=9462 HPOSY=3031 HWIDTH=1566 HHEIGHT=270 COLSPAN=3 LLINE=3 RLINE=3 TLINE=3 BLINE=3>");
		strPreBuf.append("\n<P><PSTYLE LSPACE=100 TMARGIN=0 ALIGN=NOALIGN>");
		strPreBuf.append("\n<TABSTYLE ID=2></TABSTYLE></P>");
		strPreBuf.append("\n</CELL>");
		strPreBuf
				.append("\n<CELL HPOSX=11028 HPOSY=3031 HWIDTH=1304 HHEIGHT=270 COLSPAN=2 LLINE=3 RLINE=3 TLINE=3 BLINE=3 ID=\"approval_opt4\">");
		strPreBuf.append("\n<P><PSTYLE LSPACE=100 TMARGIN=0 ALIGN=NOALIGN>");
		strPreBuf.append("\n<TABSTYLE ID=2></TABSTYLE></P>");
		strPreBuf.append("\n</CELL>");
		strPreBuf.append("\n<TR>");
		strPreBuf
				.append("\n<CELL HPOSX=0 HPOSY=3301 HWIDTH=1779 HHEIGHT=720 COLSPAN=7 LLINE=3 RLINE=3 TLINE=3 BLINE=3 ID=\"approver1\">");
		strPreBuf.append("\n<P><PSTYLE TMARGIN=0 ALIGN=NOALIGN>");
		strPreBuf.append("\n<TABSTYLE ID=1></TABSTYLE><TEXT><FONTID KOR=1 ENG=1 HANJA=0 JAPAN=0 SPECIAL=1>" + draft
				+ "</FONTID></TEXT>");
		strPreBuf.append("\n</P>");
		strPreBuf.append("\n</CELL>");
		strPreBuf
				.append("\n<CELL HPOSX=1779 HPOSY=3301 HWIDTH=1446 HHEIGHT=720 COLSPAN=3 LLINE=3 RLINE=3 TLINE=3 BLINE=3 ID=\"approval1\">");
		strPreBuf.append("\n<P><PSTYLE LSPACE=100 TMARGIN=0 ALIGN=NOALIGN>");
		strPreBuf.append("\n<TABSTYLE ID=2></TABSTYLE></P>");
		strPreBuf.append("\n</CELL>");
		strPreBuf
				.append("\n<CELL HPOSX=3225 HPOSY=3301 HWIDTH=1850 HHEIGHT=720 COLSPAN=2 LLINE=3 RLINE=3 TLINE=3 BLINE=3 ID=\"approver2\">");
		strPreBuf.append("\n<P><PSTYLE TMARGIN=0 ALIGN=NOALIGN>");
		strPreBuf.append("\n<TABSTYLE ID=1></TABSTYLE><TEXT><FONTID KOR=1 ENG=1 HANJA=0 JAPAN=0 SPECIAL=1>" + deci1
				+ "</FONTID></TEXT>");
		strPreBuf.append("\n</P>");
		strPreBuf.append("\n</CELL>");
		strPreBuf
				.append("\n<CELL HPOSX=5075 HPOSY=3301 HWIDTH=1304 HHEIGHT=720 COLSPAN=3 LLINE=3 RLINE=3 TLINE=3 BLINE=3 ID=\"approval2\">");
		strPreBuf.append("\n<P><PSTYLE LSPACE=100 TMARGIN=0 ALIGN=NOALIGN>");
		strPreBuf.append("\n<TABSTYLE ID=2></TABSTYLE></P>");
		strPreBuf.append("\n</CELL>");
		strPreBuf
				.append("\n<CELL HPOSX=6379 HPOSY=3301 HWIDTH=1708 HHEIGHT=720 COLSPAN=4 LLINE=3 RLINE=3 TLINE=3 BLINE=3 ID=\"approver3\">");
		strPreBuf.append("\n<P><PSTYLE TMARGIN=0 ALIGN=NOALIGN>");
		strPreBuf.append("\n<TABSTYLE ID=1></TABSTYLE><TEXT><FONTID KOR=1 ENG=1 HANJA=0 JAPAN=0 SPECIAL=1>" + deci2
				+ "</FONTID></TEXT>");
		strPreBuf.append("\n</P>");
		strPreBuf.append("\n</CELL>");
		strPreBuf
				.append("\n<CELL HPOSX=8087 HPOSY=3301 HWIDTH=1375 HHEIGHT=720 COLSPAN=3 LLINE=3 RLINE=3 TLINE=3 BLINE=3 ID=\"approval3\">");
		strPreBuf.append("\n<P><PSTYLE LSPACE=100 TMARGIN=0 ALIGN=NOALIGN>");
		strPreBuf.append("\n<TABSTYLE ID=2></TABSTYLE></P>");
		strPreBuf.append("\n</CELL>");
		strPreBuf
				.append("\n<CELL HPOSX=9462 HPOSY=3301 HWIDTH=783 HHEIGHT=720 COLSPAN=2 LLINE=3 RLINE=3 TLINE=3 BLINE=3 ID=\"approver4\">");
		strPreBuf.append("\n<P><PSTYLE TMARGIN=0 ALIGN=NOALIGN>");
		strPreBuf.append("\n<TABSTYLE ID=1></TABSTYLE><TEXT><FONTID KOR=1 ENG=1 HANJA=0 JAPAN=0 SPECIAL=1>" + deci3
				+ "</FONTID></TEXT>");
		strPreBuf.append("\n</P>");
		strPreBuf.append("\n</CELL>");
		strPreBuf.append("\n<CELL HPOSX=10245 HPOSY=3301 HWIDTH=783 HHEIGHT=720 LLINE=3 RLINE=3 TLINE=3 BLINE=3>");
		strPreBuf.append("\n<P><PSTYLE TMARGIN=0 ALIGN=NOALIGN>");
		strPreBuf.append("\n<TABSTYLE ID=1></TABSTYLE></P>");
		strPreBuf.append("\n</CELL>");
		strPreBuf
				.append("\n<CELL HPOSX=11028 HPOSY=3301 HWIDTH=652 HHEIGHT=720 LLINE=3 RLINE=3 TLINE=3 BLINE=3 ID=\"approval4\">");
		strPreBuf.append("\n<P><PSTYLE LSPACE=100 TMARGIN=0 ALIGN=NOALIGN>");
		strPreBuf
				.append("\n<TABSTYLE ID=2></TABSTYLE><TEXT><FONTID KOR=1 ENG=1 HANJA=0 JAPAN=0 SPECIAL=1> </FONTID></TEXT>");
		strPreBuf.append("\n</P>");
		strPreBuf.append("\n</CELL>");
		strPreBuf.append("\n<CELL HPOSX=11680 HPOSY=3301 HWIDTH=652 HHEIGHT=720 LLINE=3 RLINE=3 TLINE=3 BLINE=3>");
		strPreBuf.append("\n<P><PSTYLE LSPACE=100 TMARGIN=0 ALIGN=NOALIGN>");
		strPreBuf.append("\n<TABSTYLE ID=2></TABSTYLE></P>");
		strPreBuf.append("\n</CELL>");
		strPreBuf.append("\n<TR>");
		strPreBuf
				.append("\n<CELL HPOSX=0 HPOSY=4021 HWIDTH=958 HHEIGHT=570 COLSPAN=4 LLINE=3 RLINE=3 TLINE=3 BLINE=3>");
		strPreBuf.append("\n<P><PSTYLE LSPACE=100 TMARGIN=0 ALIGN=NOALIGN>");
		strPreBuf
				.append("\n<TABSTYLE ID=2></TABSTYLE><TEXT><FONTID KOR=1 ENG=1 HANJA=0 JAPAN=0 SPECIAL=1>"+ MoumiConfig.getMessageBundle().getString("moumi.message.tot_doc.helper") +"</FONTID></TEXT>");
		strPreBuf.append("\n</P>");
		strPreBuf.append("\n</CELL>");
		strPreBuf
				.append("\n<CELL HPOSX=958 HPOSY=4021 HWIDTH=11374 HHEIGHT=570 COLSPAN=23 LLINE=3 RLINE=3 TLINE=3 BLINE=3 ID=\"cooperate1\">");
		strPreBuf.append("\n<P><PSTYLE LSPACE=100 TMARGIN=0 ALIGN=NOALIGN>");
		strPreBuf.append("\n<TABSTYLE ID=1></TABSTYLE><TEXT><FONTID KOR=1 ENG=1 HANJA=0 JAPAN=0 SPECIAL=1>" + cooperate
				+ "</FONTID></TEXT></P>");
		strPreBuf.append("\n</CELL>");
		strPreBuf.append("\n<TR>");
		strPreBuf
				.append("\n<CELL HPOSX=0 HPOSY=4591 HWIDTH=651 HHEIGHT=391 COLSPAN=2 LLINE=3 RLINE=3 TLINE=3 BLINE=3>");
		strPreBuf.append("\n<P><PSTYLE TMARGIN=0 ALIGN=LEFT>");
		strPreBuf
				.append("\n<TABSTYLE ID=1></TABSTYLE><TEXT><FONTID KOR=1 ENG=1 HANJA=0 JAPAN=0 SPECIAL=1>"+ MoumiConfig.getMessageBundle().getString("moumi.message.tot_doc.implement") +"</FONTID></TEXT>");
		strPreBuf.append("\n</P>");
		strPreBuf.append("\n</CELL>");
		strPreBuf
				.append("\n<CELL HPOSX=651 HPOSY=4591 HWIDTH=5728 HHEIGHT=391 COLSPAN=13 LLINE=3 RLINE=3 TLINE=3 BLINE=3 ID=\"doc_runday\">");
		strPreBuf.append("\n<P><PSTYLE TMARGIN=0 ALIGN=LEFT>");
		strPreBuf.append("\n<TABSTYLE ID=1></TABSTYLE><TEXT><FONTID KOR=1 ENG=1 HANJA=0 JAPAN=0 SPECIAL=1>" + seriesNum
				+ "</FONTID></TEXT>");
		strPreBuf.append("\n</P>");
		strPreBuf.append("\n</CELL>");
		strPreBuf.append("\n<CELL HPOSX=6379 HPOSY=4591 HWIDTH=1290 HHEIGHT=391 LLINE=3 RLINE=3 TLINE=3 BLINE=3>");
		strPreBuf.append("\n<P><PSTYLE TMARGIN=0 ALIGN=LEFT>");
		strPreBuf
				.append("\n<TABSTYLE ID=1></TABSTYLE><TEXT><FONTID KOR=1 ENG=1 HANJA=0 JAPAN=0 SPECIAL=1>"+ MoumiConfig.getMessageBundle().getString("moumi.message.tot_report.acceptStatus") +"</FONTID></TEXT>");
		strPreBuf.append("\n</P>");
		strPreBuf.append("\n</CELL>");
		strPreBuf
				.append("\n<CELL HPOSX=7669 HPOSY=4591 HWIDTH=4663 HHEIGHT=391 COLSPAN=11 LLINE=3 RLINE=3 TLINE=3 BLINE=3 ID=\"doc_acceptday\">");
		strPreBuf.append("\n<P><PSTYLE TMARGIN=0 ALIGN=LEFT>");
		strPreBuf.append("\n<TABSTYLE ID=1></TABSTYLE><TEXT><FONTID KOR=1 ENG=1 HANJA=0 JAPAN=0 SPECIAL=1>"
				+ seriesDate + "</FONTID></TEXT></P>");
		strPreBuf.append("\n</CELL>");
		strPreBuf.append("\n<TR>");
		strPreBuf.append("\n<CELL HPOSX=0 HPOSY=4982 HWIDTH=368 HHEIGHT=391 LLINE=3 RLINE=3 TLINE=3 BLINE=3>");
		strPreBuf.append("\n<P><PSTYLE TMARGIN=0 ALIGN=LEFT>");
		strPreBuf
				.append("\n<TABSTYLE ID=1></TABSTYLE><TEXT><FONTID KOR=1 ENG=1 HANJA=0 JAPAN=0 SPECIAL=1>"+ MoumiConfig.getMessageBundle().getString("moumi.message.tot_doc.post") +"</FONTID></TEXT>");
		strPreBuf.append("\n</P>");
		strPreBuf.append("\n</CELL>");
		strPreBuf
				.append("\n<CELL HPOSX=368 HPOSY=4982 HWIDTH=1178 HHEIGHT=391 COLSPAN=5 LLINE=3 RLINE=3 TLINE=3 BLINE=3 ID=\"post_number\">");
		strPreBuf.append("\n<P><PSTYLE TMARGIN=0>");
		strPreBuf
				.append("\n<TABSTYLE ID=5></TABSTYLE><TEXT><FONTID KOR=1 ENG=1 HANJA=0 JAPAN=0 ETC=0 SPECIAL=1 USER=1>"
						+ post + "</FONTID></TEXT>");
		strPreBuf.append("\n</P>");
		strPreBuf.append("\n</CELL>");
		strPreBuf
				.append("\n<CELL HPOSX=1546 HPOSY=4982 HWIDTH=6371 HHEIGHT=391 COLSPAN=11 LLINE=3 RLINE=3 TLINE=3 BLINE=3 ID=\"site_address\">");
		strPreBuf.append("\n<P><PSTYLE TMARGIN=0>");
		strPreBuf
				.append("\n<TABSTYLE ID=5></TABSTYLE><TEXT><FONTID KOR=1 ENG=1 HANJA=0 JAPAN=0 ETC=0 SPECIAL=1 USER=1>"
						+ addr + "</FONTID></TEXT>");
		strPreBuf.append("\n</P>");
		strPreBuf.append("\n</CELL>");
		strPreBuf.append("\n<CELL HPOSX=7917 HPOSY=4982 HWIDTH=143 HHEIGHT=391 LLINE=3 RLINE=3 TLINE=3 BLINE=3>");
		strPreBuf.append("\n<P><PSTYLE TMARGIN=0 ALIGN=LEFT>");
		strPreBuf
				.append("\n<TABSTYLE ID=1></TABSTYLE><TEXT><FONTID KOR=1 ENG=1 HANJA=0 JAPAN=0 ETC=0 SPECIAL=1 USER=1>/</FONTID></TEXT>");
		strPreBuf.append("\n</P>");
		strPreBuf.append("\n</CELL>");
		strPreBuf
				.append("\n<CELL HPOSX=8060 HPOSY=4982 HWIDTH=4272 HHEIGHT=391 COLSPAN=9 LLINE=3 RLINE=3 TLINE=3 BLINE=3 ID=\"homepage_url\">");
		strPreBuf.append("\n<P><PSTYLE TMARGIN=0>");
		strPreBuf
				.append("\n<TABSTYLE ID=5></TABSTYLE><TEXT><FONTID KOR=1 ENG=1 HANJA=0 JAPAN=0 ETC=0 SPECIAL=1 USER=1>"
						+ homepage + "</FONTID></TEXT>");
		strPreBuf.append("\n</P>");
		strPreBuf.append("\n</CELL>");
		strPreBuf.append("\n<TR>");
		strPreBuf
				.append("\n<CELL HPOSX=0 HPOSY=5373 HWIDTH=756 HHEIGHT=391 COLSPAN=3 LLINE=3 RLINE=3 TLINE=3 BLINE=3>");
		strPreBuf.append("\n<P><PSTYLE TMARGIN=0 ALIGN=LEFT>");
		strPreBuf
				.append("\n<TABSTYLE ID=1></TABSTYLE><TEXT><FONTID KOR=1 ENG=1 HANJA=0 JAPAN=0 SPECIAL=1>"+ MoumiConfig.getMessageBundle().getString("moumi.message.tot_doc.tel") +"</FONTID></TEXT>");
		strPreBuf.append("\n</P>");
		strPreBuf.append("\n</CELL>");
		strPreBuf
				.append("\n<CELL HPOSX=756 HPOSY=5373 HWIDTH=1674 HHEIGHT=391 COLSPAN=6 LLINE=3 RLINE=3 TLINE=3 BLINE=3 ID=\"telephone_no\">");
		strPreBuf.append("\n<P><PSTYLE TMARGIN=0>");
		strPreBuf
				.append("\n<TABSTYLE ID=5></TABSTYLE><TEXT><FONTID KOR=1 ENG=1 HANJA=0 JAPAN=0 ETC=0 SPECIAL=1 USER=1>"
						+ phone + "</FONTID></TEXT>");
		strPreBuf.append("\n</P>");
		strPreBuf.append("\n</CELL>");
		strPreBuf
				.append("\n<CELL HPOSX=2430 HPOSY=5373 HWIDTH=893 HHEIGHT=391 COLSPAN=2 LLINE=3 RLINE=3 TLINE=3 BLINE=3>");
		strPreBuf.append("\n<P><PSTYLE TMARGIN=0 ALIGN=LEFT>");
		strPreBuf
				.append("\n<TABSTYLE ID=1></TABSTYLE><TEXT><FONTID KOR=1 ENG=1 HANJA=0 JAPAN=0 SPECIAL=1>"+ MoumiConfig.getMessageBundle().getString("moumi.message.tot_doc.forward") +"</FONTID></TEXT>");
		strPreBuf.append("\n</P>");
		strPreBuf.append("\n</CELL>");
		strPreBuf
				.append("\n<CELL HPOSX=3323 HPOSY=5373 HWIDTH=1816 HHEIGHT=391 COLSPAN=2 LLINE=3 RLINE=3 TLINE=3 BLINE=3 ID=\"fax_no\">");
		strPreBuf.append("\n<P><PSTYLE TMARGIN=0 ALIGN=LEFT>");
		strPreBuf.append("\n<TABSTYLE ID=1></TABSTYLE><TEXT><FONTID KOR=1 ENG=1 HANJA=0 JAPAN=0 SPECIAL=1>" + fax
				+ "</FONTID></TEXT>");
		strPreBuf.append("\n</P>");
		strPreBuf.append("\n</CELL>");
		strPreBuf.append("\n<CELL HPOSX=5139 HPOSY=5373 HWIDTH=183 HHEIGHT=391 LLINE=3 RLINE=3 TLINE=3 BLINE=3>");
		strPreBuf.append("\n<P><PSTYLE TMARGIN=0 ALIGN=LEFT>");
		strPreBuf
				.append("\n<TABSTYLE ID=1></TABSTYLE><TEXT><FONTID KOR=1 ENG=1 HANJA=0 JAPAN=0 SPECIAL=1>/</FONTID></TEXT>");
		strPreBuf.append("\n</P>");
		strPreBuf.append("\n</CELL>");
		strPreBuf
				.append("\n<CELL HPOSX=5322 HPOSY=5373 HWIDTH=3662 HHEIGHT=391 COLSPAN=6 LLINE=3 RLINE=3 TLINE=3 BLINE=3 ID=\"email\">");
		strPreBuf.append("\n<P><PSTYLE TMARGIN=0 ALIGN=LEFT>");
		strPreBuf.append("\n<TABSTYLE ID=1></TABSTYLE><TEXT><FONTID KOR=1 ENG=1 HANJA=0 JAPAN=0 SPECIAL=1>" + email
				+ "</FONTID></TEXT></P>");
		strPreBuf.append("\n</CELL>");
		strPreBuf.append("\n<CELL HPOSX=8984 HPOSY=5373 HWIDTH=183 HHEIGHT=391 LLINE=3 RLINE=3 TLINE=3 BLINE=3>");
		strPreBuf.append("\n<P><PSTYLE TMARGIN=0 ALIGN=LEFT>");
		strPreBuf
				.append("\n<TABSTYLE ID=1></TABSTYLE><TEXT><FONTID KOR=1 ENG=1 HANJA=0 JAPAN=0 SPECIAL=1>/</FONTID></TEXT>");
		strPreBuf.append("\n</P>");
		strPreBuf.append("\n</CELL>");
		strPreBuf
				.append("\n<CELL HPOSX=9167 HPOSY=5373 HWIDTH=3165 HHEIGHT=391 COLSPAN=6 LLINE=3 RLINE=3 TLINE=3 BLINE=3 ID=\"management\">");
		strPreBuf.append("\n<P><PSTYLE TMARGIN=0 ALIGN=LEFT>");
		strPreBuf.append("\n<TABSTYLE ID=1></TABSTYLE><TEXT><FONTID KOR=1 ENG=1 HANJA=0 JAPAN=0 SPECIAL=1>" + isOpen
				+ "</FONTID></TEXT>");
		strPreBuf.append("\n</P>");
		strPreBuf.append("\n</CELL>");
		strPreBuf.append("\n<TR>");
		strPreBuf
				.append("\n<CELL HPOSX=0 HPOSY=5764 HWIDTH=12332 HHEIGHT=391 COLSPAN=27 LLINE=3 RLINE=3 TLINE=3 BLINE=3 ID=\"footer_campaign\">");
		strPreBuf.append("\n<P><PSTYLE TMARGIN=0 ALIGN=CENTER>");
		strPreBuf.append("\n<TABSTYLE ID=1></TABSTYLE></P>");
		strPreBuf.append("\n</CELL>");
		strPreBuf.append("\n<CAPTION>");
		strPreBuf.append("\n<P></P>");
		strPreBuf.append("\n</CAPTION>");
		strPreBuf.append("\n</CTRLCODE>");
		strPreBuf.append("\n</P>");

		// 2번째 페이지 시작
		strPreBuf.append("\n<P><PSTYLE TMARGIN=0>");
		strPreBuf.append("\n<TABSTYLE ID=1></TABSTYLE></P>");
		strPreBuf.append("\n<P><PSTYLE TMARGIN=0>");
		strPreBuf.append("\n<TABSTYLE ID=1></TABSTYLE></P>");
		strPreBuf.append("\n<P><PSTYLE TMARGIN=0>");
		strPreBuf
				.append("\n<TABSTYLE ID=1></TABSTYLE><TEXT><FONTID KOR=1 ENG=1 HANJA=0 JAPAN=0 SPECIAL=1><B>"+ MoumiConfig.getMessageBundle().getString("moumi.message.tot_doc.herewith") +"</B></FONTID></TEXT>");
		strPreBuf.append("\n</P>");

		return strPreBuf.toString();
	}

	public static String getAfterHML() {
		StringBuffer strAfterBuf = new StringBuffer();

		strAfterBuf.append("\n</BODY>");
		strAfterBuf.append("\n<TAIL>");
		strAfterBuf.append("<INFOBLOCK CODE=4 SIZE=398>");
		strAfterBuf
				.append("\n0000000047000000040000000100000000000000000000000000000000000000ffffffff0000ff00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000ff000000000001000000000000003200000000000000640000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000</INFOBLOCK>");
		strAfterBuf.append("\n<INFOBLOCK CODE=5 SIZE=476>");
		strAfterBuf
				.append("\n0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000</INFOBLOCK>");
		strAfterBuf.append("\n</TAIL>");
		strAfterBuf.append("\n</HWPML>");

		return strAfterBuf.toString();
	}

	public String getContentsCut(String form) {
		int stCTR = 0;
		int edCTR = 0;

		stCTR = form.indexOf("<CTRLCODE ID=BOX>");
		edCTR = form.lastIndexOf("</CTRLCODE>");

		return form.substring(stCTR, edCTR + 11);
	}

}
